> For the complete documentation index, see [llms.txt](https://developers.tix.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.tix.xyz/api/wallets.md).

# Wallets

## GET /wallets/users/{subject}/address

> Get a user wallet address

```json
{"openapi":"3.1.0","info":{"title":"TIX Developer Platform API","version":"0.3.0"},"tags":[{"name":"Wallets"}],"servers":[{"url":"https://api.tix.xyz","description":"Live / Production — real money"},{"url":"https://api.sandbox.tix.xyz","description":"Sandbox / Test money"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"get-user-address-response":{"type":"object","properties":{"address":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."}},"required":["address"],"additionalProperties":false}}},"paths":{"/wallets/users/{subject}/address":{"get":{"operationId":"get-user-address","summary":"Get a user wallet address","tags":["Wallets"],"parameters":[{"name":"subject","in":"path","required":true,"schema":{"type":"string","minLength":1}}],"responses":{"200":{"description":"Successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/get-user-address-response"}}}},"default":{"description":"Unsuccessful request. Error responses may be plain text, JSON, or empty; no common error-body contract is guaranteed."}}}}}}
```

## GET /wallets/integrators/{subject}/address

> Get an integrator wallet address

```json
{"openapi":"3.1.0","info":{"title":"TIX Developer Platform API","version":"0.3.0"},"tags":[{"name":"Wallets"}],"servers":[{"url":"https://api.tix.xyz","description":"Live / Production — real money"},{"url":"https://api.sandbox.tix.xyz","description":"Sandbox / Test money"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"get-integrator-address-response":{"type":"object","properties":{"address":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."}},"required":["address"],"additionalProperties":false}}},"paths":{"/wallets/integrators/{subject}/address":{"get":{"operationId":"get-integrator-address","summary":"Get an integrator wallet address","tags":["Wallets"],"parameters":[{"name":"subject","in":"path","required":true,"schema":{"type":"string","minLength":1}}],"responses":{"200":{"description":"Successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/get-integrator-address-response"}}}},"default":{"description":"Unsuccessful request. Error responses may be plain text, JSON, or empty; no common error-body contract is guaranteed."}}}}}}
```

## GET /wallets/fee-payer/address

> Get the fee payer address

```json
{"openapi":"3.1.0","info":{"title":"TIX Developer Platform API","version":"0.3.0"},"tags":[{"name":"Wallets"}],"servers":[{"url":"https://api.tix.xyz","description":"Live / Production — real money"},{"url":"https://api.sandbox.tix.xyz","description":"Sandbox / Test money"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"get-fee-payer-address-response":{"type":"object","properties":{"address":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."}},"required":["address"],"additionalProperties":false}}},"paths":{"/wallets/fee-payer/address":{"get":{"operationId":"get-fee-payer-address","summary":"Get the fee payer address","tags":["Wallets"],"parameters":[],"responses":{"200":{"description":"Successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/get-fee-payer-address-response"}}}},"default":{"description":"Unsuccessful request. Error responses may be plain text, JSON, or empty; no common error-body contract is guaranteed."}}}}}}
```

## GET /wallets/protocol-authority/address

> Get the protocol authority address

```json
{"openapi":"3.1.0","info":{"title":"TIX Developer Platform API","version":"0.3.0"},"tags":[{"name":"Wallets"}],"servers":[{"url":"https://api.tix.xyz","description":"Live / Production — real money"},{"url":"https://api.sandbox.tix.xyz","description":"Sandbox / Test money"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"get-protocol-authority-address-response":{"type":"object","properties":{"address":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."}},"required":["address"],"additionalProperties":false}}},"paths":{"/wallets/protocol-authority/address":{"get":{"operationId":"get-protocol-authority-address","summary":"Get the protocol authority address","tags":["Wallets"],"parameters":[],"responses":{"200":{"description":"Successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/get-protocol-authority-address-response"}}}},"default":{"description":"Unsuccessful request. Error responses may be plain text, JSON, or empty; no common error-body contract is guaranteed."}}}}}}
```
